#pragma once

#include <chrono>
#include "vera_base/Interactor.hpp"
#include "schneide_base/Vocabulary.hpp"

namespace vera
{
class Heater
{
public:
  ~Heater();
  virtual void prepare(Interactor& interactor) {}
  virtual void burnClean(Interactor& interactor) = 0;
  virtual void shutdown(Interactor& interactor) {}

private:
};
}  // namespace vera
